# Created by pyp2rpm-1.0.1
%global pypi_name stsci.distutils
%define version 0.3.4

Name:           python-stsci-distutils
Version:        %{version}
Release:        %mkrel 4
Group:          Sciences/Astronomy
Summary:        distutils/packaging-related utilities used by some of STScI's packages

License:        BSD
URL:            http://www.stsci.edu/resources/software_hardware/stsci_python
Source0:        https://pypi.python.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python-devel
BuildRequires:  python-d2to1 >= 0.2.9
BuildRequires:  python-setuptools

%description
This package contains utilities used to package some of STScI's Python
projects; specifically those projects that comprise stsci_python_ and
Astrolib_.

It currently consists mostly of some setup_hook scripts meant for use with
`distutils2/packaging`_ and/or d2to1_, and a customized easy_install command
meant for use with distribute_.

%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}

%files
%doc README.txt
%{python_sitelib}/stsci/distutils
%{python_sitelib}/%{pypi_name}-%{version}-py?.?-*.pth
%{python_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.3.4-4.mga4
+ Revision: 544164
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.3.4-3.mga4
+ Revision: 499479
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Sep 27 2013 philippem <philippem> 0.3.4-2.mga4
+ Revision: 487767
+ rebuild (emptylog)

* Tue Sep 10 2013 joequant <joequant> 0.3.4-1.mga4
+ Revision: 477135
- imported package python-stsci-distutils

